#!/bin/sh

OSYS=`uname -s | tr 'A-Z' 'a-z'`
MACH=`uname -m | sed 's/^i[4-6]86$/i386/g'`	# avoid the insanity
VERS=`grep '^Version:.*\.' README | awk '{print $2}'`

NAME="sortchk-${OSYS}-${MACH}-${VERS}"

echo "Building sortchk"
make all 2> /dev/null

echo "Creating archive"
tar cf ../${NAME}.tar README sortchk

echo "Compressing archive"
gzip ../${NAME}.tar

mv ../${NAME}.tar.gz ../${NAME}.tgz

echo "Archive ready in \"${NAME}.tgz\""


