/*
 * stats.cpp - statistics module
 *
 * 2003  Benedikt Meurer <bmeurer@unix-ag.org>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "stats.h"


/* the current statistics in use */
Stats *Stats::current = 0;

void
Stats::decMovs(void)
{
	if (current)
		current->nmovs--;
}

void
Stats::decCmps(void)
{
	if (current)
		current->ncmps--;
}
void
Stats::incMovs(void)
{
	if (current)
		current->nmovs++;
}

void
Stats::incCmps(void)
{
	if (current)
		current->ncmps++;
}

void
Stats::addCmps(u_int64_t value)
{
	if (current)
		current->ncmps += value;
}

void
Stats::addMovs(u_int64_t value)
{
	if (current)
		current->nmovs += value;
}

void
Stats::subCmps(u_int64_t value)
{
	if (current)
		current->ncmps -= value;
}

void
Stats::subMovs(u_int64_t value)
{
	if (current)
		current->nmovs -= value;
}

